LX90xx/LX80xx – HAWK Demo available

General, News

We are very proud to announce that the beta version of HAWK is available for LX90xx and LX80xx series. Hawk presently runs on all devices from 4th Generation onwards. V8 or V80 is also needed for HAWK. The easiest way to check for compatibility with HAWK is to install the latest version (currently 8.04b) of the software and go to Setup->About.

To enable HAWK you have to install the latest beta version, which you can find here. A request for a HAWK demo option can be found here. The demo version of HAWK will run until the end of January.

HAWK!

Menu